.\"	$NetBSD: bootparams.5,v 1.10 2001/04/03 11:28:44 wiz Exp $
.\"
.\" Copyright (c) 1994 Gordon W. Ross
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 28, 2002
.Dt BOOTPARAMS 5
.Os
.Sh NAME
.Nm bootparams
.Nd boot parameter database
.Sh SYNOPSIS
.Nm /etc/bootparams
.Sh DESCRIPTION
The
.Nm
file specifies the boot parameters that
.Xr diskless 8
clients may request when booting over the network.
Each client supported by this server must have an entry in the
.Nm
file containing the servers and pathnames for its
.Pa root ,
area.  It may optionally contain
.Pa swap ,
.Pa dump ,
and other entry types.
.Pp
Each line in the file
(other than comment lines that begin with a #)
specifies the client name followed by the pathnames that
the client may request by their logical names.  Names
are matched in a case-insensitive fashion, and may also
be wildcarded using shell-style globbing characters.
.Pp
The components of the line are delimited with blank or tab,
and may be continued onto multiple lines with a backslash.
.Pp
For example:
.Bd -literal -offset indent
dummy	root=server:/export/dummy/root \\
	swap=server:/export/dummy/swap \\
	dump=server:/export/dummy/swap \\
	gateway=router:255.255.255.0
.Ed
.Pp
When the client named "dummy" requests the pathname for
its logical "root" it will be given server
.Dq Pa "server"
and pathname
.Dq Pa "/export/dummy/root"
as the response to its
.Tn RPC
request.
.Pp
.Bd -literal -offset indent
netra[1-5]www*	root=server:/export/jumpstart/netra_www
.Ed
.Pp
When any client with a name matching the pattern "netra[1-5]www*"
requests the pathname for its logical "root" it will be given server
.Dq Pa "server"
and pathname
.Dq Pa "/export/jumpstart/netra_www"
as the response to its
.Tn RPC
request.  As this example implies, this is useful for setting up
Jumpstart servers for Sun clients.
.Sh NOTES
The server does not default to the localhost, and must be filled in.
.Sh FILES
.Bl -tag -width /etc/bootparams -compact
.It Pa /etc/bootparams
default configuration file
.El
.Sh SEE ALSO
.Xr diskless 8 ,
.Xr rpc.bootparamd 8
